
import { createI18n } from 'vue-i18n';
import merge from './merge.js';

import {
    langZhCn as langZhCn0,
    langEnUs as langEnUs0,
} from 'client-base-v5/dist/client-base-v5.js';

console.log(langZhCn0);

import {
    langZhCn as langZhCn1,
    langEnUs as langEnUs1
} from 'client-eam-v5/dist/client-eam-v5.js';

console.log(langZhCn1);

import {
    langZhCn as langZhCn2,
    langEnUs as langEnUs2
} from 'client-role-v3';


let langZhCn = merge.deepAssign(langZhCn0, langZhCn1, langZhCn2);
let langEnUs = merge.deepAssign(langEnUs0, langEnUs1, langEnUs2);

console.log(langZhCn);

const i18n = createI18n({
  locale: 'zh-CN',
  messages: {
    'zh-CN': langZhCn,
    'en-US': langEnUs,
  },
});

export { i18n };